LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XServiceTypeDescription Interface Referencepublished

Reflects a service. More...

`import"XServiceTypeDescription.idl";`

Inheritance diagram for XServiceTypeDescription:

## Public Member Functions
sequence< XServiceTypeDescription > | getMandatoryServices ()
| Returns the type descriptions of the mandatory services defined for this service. More...
sequence< XServiceTypeDescription > | getOptionalServices ()
| Returns the type descriptions of the optional services defined for this service. More...
sequence< XInterfaceTypeDescription > | getMandatoryInterfaces ()
| Returns the type descriptions of the mandatory interfaces defined for this service. More...
sequence< XInterfaceTypeDescription > | getOptionalInterfaces ()
| Returns the type descriptions of the optional interface defined for this service. More...
sequence< XPropertyTypeDescription > | getProperties ()
| Returns the properties defined for this service. More...
Public Member Functions inherited from XTypeDescription
com::sun::star::uno::TypeClass | getTypeClass ()
| Returns the type class of the reflected UNOIDL entity. More...
string | getName ()
| Returns the fully qualified name of the UNOIDL entity. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Reflects a service.

This type is superseded by XServiceTypeDescription2, which supports single-interface–based services, in addition to the obsolete, accumulation-based services.

The type class of this type is com::sun::star::uno::TypeClass::SERVICE.

Since
  OOo 1.1.2

## Member Function Documentation

## ◆ getMandatoryInterfaces()

sequence< XInterfaceTypeDescription > getMandatoryInterfaces | ( |  | ) |

Returns the type descriptions of the mandatory interfaces defined for this service.

Returns
  a sequence containing interface type descriptions, for an obsolete, accumulation-based service; for a single-interface–based service, an empty sequence is returned

## ◆ getMandatoryServices()

sequence< XServiceTypeDescription > getMandatoryServices | ( |  | ) |

Returns the type descriptions of the mandatory services defined for this service.

Returns
  a sequence containing service type descriptions, for an obsolete, accumulation-based service; for a single-interface–based service, an empty sequence is returned

## ◆ getOptionalInterfaces()

sequence< XInterfaceTypeDescription > getOptionalInterfaces | ( |  | ) |

Returns the type descriptions of the optional interface defined for this service.

Returns
  a sequence containing interface type descriptions, for an obsolete, accumulation-based service; for a single-interface–based service, an empty sequence is returned

## ◆ getOptionalServices()

sequence< XServiceTypeDescription > getOptionalServices | ( |  | ) |

Returns the type descriptions of the optional services defined for this service.

Returns
  a sequence containing service type descriptions, for an obsolete, accumulation-based service; for a single-interface–based service, an empty sequence is returned

## ◆ getProperties()

sequence< XPropertyTypeDescription > getProperties | ( |  | ) |

Returns the properties defined for this service.

Returns
  a sequence containing property descriptions, for an obsolete, accumulation-based service; for a single-interface–based service, an empty sequence is returned

The documentation for this interface was generated from the following file:

- com/sun/star/reflection/XServiceTypeDescription.idl